// imports
@import url('https://fonts.googleapis.com/css?family=Open+Sans');

// colors
$primary: #219da6;
$error: #ef5777;
$success: #1abc9c;
$light: #F5F8FA;
$medium: #657786;
$dark: #34495E;
$white: #fff;

// var
$borderRadius: 10px;
$imageBig: 100px;
$imageSmall: 60px;
$padding: 10px;

// resets
body {
	margin: 0;
	color: $dark;
	background: #E6ECF0;
}

html {
	line-height: 1.15;
	-webkit-text-size-adjust: 100%;
}

* {
	font-family: 'Open Sans', sans-serif;
	box-sizing: border-box;
	transition: 0.15s;

	&:focus {
		outline: none;
	}
}
// fonts
h1,
h2,
h3,
h4,
h5,
p {
	margin: 0 0 0.5rem;
}

h1 {
	font-size: 2rem;
}

h2 {
	font-size: 1.8rem;
}

h3 {
	font-size: 1.6rem;
}

h4 {
	font-size: 1.4rem;
}

h5 {
	font-size: 1.2rem;
}

p {
	line-height: 1.5;
}

a {
	font-family: 'Open Sans', sans-serif;
	text-decoration: none;
	color: $primary;
	margin: 0;
	cursor: pointer;

	&:hover {
		color: lighten($primary, 5%);
	}
}

// globals
section {
	display: flex;
	max-width: 1200px;
	margin: 0 auto;

	@media screen and (max-width: 742px) {
		display: block;
	}
}

.col1,
.col2 {
	flex-grow: 1;
	flex-basis: 0;
	padding: 1rem;

	@media screen and (max-width: 742px) {

	}
}

[v-cloak] {display: none}

.input-wrapper {
	position: relative;
	margin-bottom: 20px;
	display: inline-block;
	input {
		display: block;
		margin: 0;
		padding: 0.4rem 0.5rem;
		color: inherit;
		width: auto;
		font-family: inherit;
		font-size: 1.2rem;
		font-weight: inherit;
		line-height: 2rem;
		border: none;
		border-radius: 0.4rem;
		transition: box-shadow $primary;
		&:focus {
			outline: none;
  			box-shadow: 0.1rem 0.1rem 1rem $primary;
		}
	}
}

table {
	width: 100%;
	
	td, th { 
	   color: darken($primary, 10%);
	   padding: $padding; 
	}
	
	td {
	   text-align: center;
	   vertical-align: middle;
	   
	   &:last-child {
		  font-size: 0.95em;
		  line-height: 1.4;
		  text-align: left;
	   }
	}
	
	th { 
	   background-color: lighten($primary, 50%);
	   font-weight: 300;
	}
	
	tr {     
	   &:nth-child(2n) { background-color: white; }
	   &:nth-child(2n+1) { background-color: lighten($primary, 55%) }
	}
 }
 
 @media screen and (max-width: 700px) {   
	table, tr, td { display: block; }
	
	td {
	   &:first-child {
		  position: absolute;
		  top: 50%;
		  transform: translateY(-50%);
		  width: $imageBig;
	   }
 
	   &:not(:first-child) {
		  clear: both;
		  margin-left: $imageBig;
		  padding: 4px 20px 4px 90px;
		  position: relative;
		  text-align: left;
 
		  &:before {
			 color: lighten($primary, 30%);
			 content: '';
			 display: block;
			 left: 0;
			 position: absolute;
		  }
	   }
 
	   &:nth-child(2):before { content: 'Name:'; }
	   &:nth-child(3):before { content: 'Email:'; }
	   &:nth-child(4):before { content: 'Phone:'; }
	   &:nth-child(5):before { content: 'Comments:'; }
	}
	
	tr {
	   padding: $padding 0;
	   position: relative;
	   &:first-child { display: none; }
	}
 }
 
 @media screen and (max-width: 500px) {
	.header {
	   background-color: transparent;
	   color: lighten($primary, 60%);
	   font-size: 2em;
	   font-weight: 700;
	   padding: 0;
	   text-shadow: 2px 2px 0 rgba(0,0,0,0.1);
	}
	
	img {
	   border: 3px solid;
	   border-color: lighten($primary, 50%);
	   height: $imageBig;
	   margin: 0.5rem 0;
	   width: $imageBig;
	}
	
	td {
	   &:first-child { 
		  background-color: lighten($primary, 45%); 
		  border-bottom: 1px solid lighten($primary, 30%);
		  border-radius: $borderRadius $borderRadius 0 0;
		  position: relative;   
		  top: 0;
		  transform: translateY(0);
		  width: 100%;
	   }
	   
	   &:not(:first-child) {
		  margin: 0;
		  padding: 5px 1em;
		  width: 100%;
		  
		  &:before {
			 font-size: .8em;
			 padding-top: 0.3em;
			 position: relative;
		  }
	   }
	   
	   &:last-child  { padding-bottom: 1rem !important; }
	}
	
	tr {
	   background-color: white !important;
	   border: 1px solid lighten($primary, 20%);
	   border-radius: $borderRadius;
	   box-shadow: 2px 2px 0 rgba(0,0,0,0.1);
	   margin: 0.5rem 0;
	   padding: 0;
	}
	
	.filters {
		.input-wrapper {
			width: 100%;
		}
		.select-wrapper {
			width: 100%;
		}
	}
 }

.loading {
	position: fixed;
	top: 0;
	right: 0;
	bottom: 0;
	left: 0;
	background: rgba($dark, 0.4);
	z-index: 9999;

	p {
		background: $white;
		width: 150px;
		text-align: center;
		margin: 40vh auto 0;
        padding: 40px 0;
		border-radius: 3px;
		box-shadow: 0 0 20px 0 rgba($dark, 0.5);
	}
}

.error-msg {
	margin-top: 1rem;
	text-align: center;
	p {
		color: $error;
		margin: 0;
	}
}

.button-wrapper {
	margin-top: 1rem;
	display: inline-block;
}

.button {
	background: $primary;
	border: 0;
	outline: 0;
	color: $white;
	padding: 0.8rem 1rem;
	min-width: 150px;
	font-size: 16px;
	border-radius: 3px;
	cursor: pointer;

	&:hover {
		background: lighten($primary, 5%);
	}
    &:disabled {
        opacity: 0.5;

        &:hover {
            background: $primary;
        }
	}
	&.small {
		font-size: 14px;
		padding: 10px;
		min-width: 95px;
	}
}

.text-center {
	text-align: center;
}

.inline {
	margin: 0;
	padding: 0;
	list-style: none;

	li {
		display: inline-block;
	}
}

.clear {
    clear: both;
}

form {
	label {
		display: block;
		font-size: 16px;
		margin-bottom: 0.5rem;
	}

	input {
		display: block;
		width: 100%;
		margin-bottom: 1rem;
		font-size: 16px;
		padding: 10px;
		outline: 0;
		border: 1px solid #e6ecf0;
		border-radius: 3px;

		&:focus {
			box-shadow: 0 0 5px 0 rgba($dark, 0.2);
		}
	}

    textarea {
        resize: none;
        border: 1px solid #e6ecf0;
        outline: 0;
        height: 100px;
        width: 100%;
        padding: 10px;
        font-size: 16px;
    }
}

.live-update-wrapper {
	width: 100%;
	.input-update {
		width: 100%;
		.live-update {
			width: 100%;
			display: inline-block;
			background: #00000008;
			border: 0;
			border-bottom: 1px solid #7c8283;
			font-size: 16px;
			color: inherit;
		}
	}
	.paragraph {
		padding: 10px;
		border: 1px solid transparent;
		&.text-hovered { border: 1px dotted #34495E}
	}
}
.select-wrapper {
	display: inline-block;
	float: right;
	label {
		display: inline-block;
	}
	.select-box {
		display: inline-block;
		margin: 0;
		padding: 0.4rem 0.5rem;
		color: inherit;
		height: 46px;
    	min-width: 58px;
		font-family: inherit;
		font-size: 1.2rem;
		font-weight: inherit;
		line-height: 2rem;
		border: none;
		border-radius: 0.4rem;
	}
}

// transitions
.fade-enter-active {
	transition: opacity 0.5s;
}
.fade-leave-active {
	transition: opacity 0s;
}

.fade-enter,
.fade-leave-to {
	opacity: 0;
}